
#ifndef __WWW_MIB_UTILS_H__
#define __WWW_MIB_UTILS_H__

int get_responseType_index(int responseType);
int update_www_access_statistics(www_log_record *lastDoc);
void insert_in_accessTopNTable(wwwDocTopN_t *doc, wwwDocTopN_t *accessTopNTable, int size);
void insert_in_bytesTopNTable(wwwDocTopN_t *doc, wwwDocTopN_t *bytesTopNTable, int size);
void set_alarm_bucketsTimeInterval(int index);
void compute_wwwDocTopNTable(wwwStatistics_t *wwwStatistics);
void compute_wwwDocTopNTables(int signal);
void init_alarm_bucketsTimeInterval(void);

#endif /* __WWW_MIB_UTILS_H__ */
